> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a Message to a Task

> Sends a follow-up message to a running or stopped task, resuming agent execution.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml post /v1/ai/agents/tasks/{taskId}/messages
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/ai/agents/tasks/{taskId}/messages:
    post:
      tags:
        - AI Agent Tasks
      summary: Send a Message to a Task
      description: >-
        Sends a follow-up message to a running or stopped task, resuming agent
        execution.
      operationId: sendMessage
      parameters:
        - in: path
          name: taskId
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendMessageRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendMessageResponse'
          description: Message sent successfully
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Invalid request body
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Missing or invalid authentication token
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Insufficient permissions to send a message
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Task not found
        '502':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Upstream service error
        '504':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Upstream service timeout
components:
  schemas:
    SendMessageRequest:
      type: object
      properties:
        agentConfig:
          oneOf:
            - $ref: '#/components/schemas/DataEngineerAgentConfigOverride'
        grantedPermissions:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/AllowedTool'
        message:
          type: string
          minLength: 1
      required:
        - message
    SendMessageResponse:
      type: object
      properties:
        taskId:
          type: string
          format: uuid
          description: The unique identifier of the task
          example: 550e8400-e29b-41d4-a716-446655440000
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    DataEngineerAgentConfigOverride:
      allOf:
        - $ref: '#/components/schemas/AgentConfigOverride'
        - type: object
          properties:
            mode:
              type:
                - string
                - 'null'
              enum:
                - PLAN
                - ACT
            name:
              type: string
              minLength: 1
            targetBranchName:
              type:
                - string
                - 'null'
      required:
        - name
    AllowedTool:
      type: object
      properties:
        toolName:
          type: string
          description: The name of the tool to allow
          example: execute_sql
          minLength: 1
      required:
        - toolName
    AgentConfigOverride:
      type: 'null'
      discriminator:
        propertyName: name
      properties:
        name:
          type: string
      required:
        - name
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````